The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> trunc, truncf, truncl - round to truncated integer value

#### SYNOPSIS

> ``#include <math.h>
> double trunc(double` x`);
> float truncf(float` x`);
> long double truncl(long double` x`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> These functions shall round their argument to the integer value, in floating format, nearest to but no larger in magnitude than the argument.

#### RETURN VALUE

> Upon successful completion, these functions shall return the truncated integer value.
> [MX] The result shall have the same sign as x.

> [MX] If x is NaN, a NaN shall be returned.

> If x is ±0 or ±Inf, x shall be returned.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The integral value returned by these functions need not be expressible as an intmax_t. The return value should be tested before assigning it to an integer type to avoid the undefined results of an integer overflow.

> These functions may raise the inexact floating-point exception if the result differs in value from the argument.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> XBD <math.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the ISO/IEC 9899:1999 standard.

#### Issue 7

> POSIX.1-2008, Technical Corrigendum 1, XSH/TC1-2008/0684 [346] is applied.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]